Package groovy.util

# Class ResourceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
groovy.util.ResourceException

All Implemented Interfaces:
  `Serializable`

public class ResourceException extends Exception

Author:
  sam
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResourceException()`
`ResourceException(String message)`
`ResourceException(String message, Throwable cause)`
`ResourceException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceException

public ResourceException()

### ResourceException

public ResourceException(String message)

Parameters:
  `message` -

### ResourceException

public ResourceException(String message, Throwable cause)

Parameters:
  `message` -
  `cause` -

### ResourceException

public ResourceException(Throwable cause)

Parameters:
  `cause` -